Save Instance Image
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/job/save/image \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"instanceId": "<string>",
"image": "<string>",
"registryAuthId": "<string>"
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/job/save/image"
payload = {
"instanceId": "<string>",
"image": "<string>",
"registryAuthId": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({instanceId: '<string>', image: '<string>', registryAuthId: '<string>'})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/job/save/image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>"
}Image
Save Instance Image
POST
/
gpu-instance
/
openapi
/
v1
/
job
/
save
/
image
Save Instance Image
Request Headers
string
obrigatório
Enum:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
obrigatório
Instance ID. String, length: 1-255 characters.
string
obrigatório
Target image address, including registry/repository:tag. String, length: 1-4095 characters.
string
obrigatório
Container registry authentication ID. Not required for public registries or platform-provided registries. Required for third-party private registries.
Response
string
obrigatório
Image save job ID. Use this ID to check status and logs in the Console under Job Management.
Última modificação em 15 de maio de 2026
⌘I